# farcaster-rs
By Landon Boles [Github](https://github.com/TheLDB) | [Twitter](https://twitter.com/landon_xyz) | Farcaster: @lndnNFT

[docs.rs](https://docs.rs/farcaster-rs/0.1.0-beta.2/farcaster_rs/)

## Description
farcaster-rs is a rust crate built to interface & interact with the [Farcaster](https://farcaster.xyz) V2 Smart Contracts on Goerli, and their API

This project was built to:
- Get more familiar w/ Rust
- Build a fun project
- Have a nice way to interact w/ Farcaster for future projects

# Example Usage

To view Logs documentation, go [here](./docs/logs.md)
- Get ID Registry Logs/Events
- Get Name Registry Logs/Events
- Parse a Log to get the underlying arguments & info

To view Users documentation, go [here](./docs/users.md)
- Get a specific users casts (pagination supported)
- Get a users verified address
- Get a users info
- & More (eventually)

To view ABI documentation, go [here](./docs/abi.md)
- Get a registry ABI
    - Either the Name registry, or ID registry

To view Casts documentation, go [here](./docs/casts.md)
- (WIP) Publish a cast
- (Future) Send a direct cast
- & more